#ifndef ABOUT_H
#define ABOUT_H

#include <QWidget>
#include <QStyleOption>
#include <QPainter>
#include <QDesktopWidget>
#include <QLabel>
#include <QVBoxLayout>
#include <QPropertyAnimation>
#include <QtDebug>
#include <QScrollArea>
#include <QScrollBar>
#include <QPushButton>

// This provides an "about" widget
class About : public QWidget {

	Q_OBJECT

public:
	About(QWidget *parent = 0, QString version = "");
	~About();

	// QRects for position and size
	QRect rectShown;
	QRect rectHidden;

	// Boolean: Is widget shown or hidden?
	bool isShown;

	// Boolean for blocking all functions in certain circumstances
	bool blockAll;

	// The animation
	QPropertyAnimation *ani;

	// The scroll area (global, because scroll position is reset whenever it's closed)
	QScrollArea *scroll;

public slots:
	// Animate open/close widget
	void animate();

protected:
	// Making styling of widget possible again
	void paintEvent(QPaintEvent *);

signals:
	// When open, all other functions are blocked
	void block(bool);

};

#endif // ABOUT_H
