#ifndef EXIFROTCONFIRM_H
#define EXIFROTCONFIRM_H

#include <QWidget>
#include <QStyleOption>
#include <QStyle>
#include <QPainter>
#include <QDesktopWidget>
#include <QLabel>
#include <QVBoxLayout>
#include <QCheckBox>
#include <QPushButton>
#include <QPropertyAnimation>
#include <QtDebug>

class ExifRotConf : public QWidget {

	Q_OBJECT
public:
	ExifRotConf(QWidget *parent = 0);
	~ExifRotConf();

	QRect rectShown;
	QRect rectHidden;
	QRect rectHiddenAcceppted;

	int degree;
	bool isShown;

	// The animation
	QPropertyAnimation *ani;

	QCheckBox *neverask;

	QPushButton *ok;

public slots:
	void doRotation(int deg);
	void animate();
	void buttonClicked();
	void animationFinished();

signals:
	void rotate(int deg, bool confirmed);
	void block(bool);
	void rotDontAsk(bool alwaysRotate);

protected:
	// Making styling of widget possible again
	void paintEvent(QPaintEvent *);

};

#endif // EXIFROTCONFIRM_H
