#ifndef MENU_H
#define MENU_H

#include "menuitem.h"
#include <QWidget>
#include <QVBoxLayout>
#include <QPropertyAnimation>
#include <QDesktopWidget>
#include <QStyleOption>
#include <QPainter>

// The dropdown menu top right
class Menu : public QWidget {

	Q_OBJECT

public:
	Menu(QWidget *parent = 0);
	~Menu();

	// We use Qt's property animation feature
	QPropertyAnimation *ani;

	// This booleand stores, if the widget is hidden/shown
	bool mShown;

	// The dimensions of the widget
	QRect menuRectHidden;
	QRect menuRectShown;

	// This can be used for accessing menuitems lateron (not used right now, but will be in next release!)
	QMap<QString,MenuItem*> adjustMenuItems;

	// The size of the sensitivity area
	int ySensitivity;
	int xSensitivity;

	// Boolean to block all menu functions
	bool blockAllFunctions;

	// Stores if menu position is top or bottom
	bool posAtBottom;

	int viewHeight;

public slots:
	// Animate the menu in/out
	void animateMenu(int x = 0, int y = 0, bool forceClose = false);

	// A click on a menu item
	void menuClicked();

protected:
	// Making styling of widget possible again
	void paintEvent(QPaintEvent *);

signals:
	void itemClicked(QString,int);

};

#endif // MENU_H
