#ifndef OPENNAV_H
#define OPENNAV_H

#include <QWidget>
#include <QStyleOption>
#include <QPainter>
#include <QPropertyAnimation>
#include <QtDebug>
#include <QLabel>
#include <QHBoxLayout>

// The different labels for the navigation buttons
class OpenLabel : public QLabel {

	Q_OBJECT
public:
	OpenLabel(QString button);
	~OpenLabel();
	// Stores the button types
	QString button;

signals:
	void clicked(QString bt);

protected:
	void mouseReleaseEvent(QMouseEvent *e);
	void enterEvent(QEvent *);
	void leaveEvent(QEvent *);

};

// The widget
class OpenNav : public QWidget {

	Q_OBJECT

public:
	OpenNav(QWidget *parent = 0);
	~OpenNav();

	// The QRects for the different sizes
	QRect rectHidden;
	QRect rectShown;

	// The animation class
	QPropertyAnimation *ani;

	// Stores if the widget is shown or not
	bool nShown;

	// Store the scrollbarheight
	int scrollbarheight;

	// The four different labels
	OpenLabel *up;
	OpenLabel *home;
	OpenLabel *back;
	OpenLabel *forward;

public slots:
	void animate();
	void resizeMe(int width, int height);

private:
	void paintEvent(QPaintEvent *);

};

#endif // OPENNAV_H
