#include "openpixmapitem.h"

Pixmap::Pixmap(QGraphicsItem *parent, QGraphicsScene *scene) : QGraphicsPixmapItem(parent,scene) {

	// Needed for hover effects
	this->setAcceptHoverEvents(true);

	// The item type and the path (needs to be set manually)
	itemType = "";
	path = "";


}

// Set the pixmaps
void Pixmap::setPixmap(const QPixmap &pixmapNormal, const QPixmap &pixmapHover) {

	normal = pixmapNormal;
	hover = pixmapHover;

	QGraphicsPixmapItem::setPixmap(normal);

}

// Hover effect
bool Pixmap::sceneEvent(QEvent *e) {

	if(e->type() == QEvent::GraphicsSceneHoverEnter)
		QGraphicsPixmapItem::setPixmap(hover);
	if(e->type() == QEvent::GraphicsSceneHoverLeave)
		QGraphicsPixmapItem::setPixmap(normal);

	QGraphicsItem::sceneEvent(e);

	return e->isAccepted();

}

// Click event
void Pixmap::mousePressEvent(QGraphicsSceneMouseEvent *) {
	emit clicked(itemType,path);
	qDebug() << "click";

}



Pixmap::~Pixmap() { }
