#ifndef OPENPIXMAPITEM_H
#define OPENPIXMAPITEM_H

#include <QGraphicsPixmapItem>
#include <QEvent>
#include <QtDebug>
#include <QMouseEvent>
//#include <QGraphicsScene>
#include <QGraphicsSceneEvent>

class Pixmap : public QObject, public QGraphicsPixmapItem {

	Q_OBJECT

public:
	Pixmap(QGraphicsItem *parent = 0, QGraphicsScene *scene = 0);
	~Pixmap();

	// The two pixmaps for normal and hover
	QPixmap normal;
	QPixmap hover;

	// The type of item it is
	QString itemType;

	// The path of the item
	QString path;

public slots:
	void setPixmap(const QPixmap &pixmapNormal,const QPixmap &pixmapHover);

protected:
	bool sceneEvent(QEvent *event);
	void mousePressEvent(QGraphicsSceneMouseEvent *);

signals:
	void clicked(QString type, QString path);

};


#endif // OPENPIXMAPITEM_H
