#ifndef SETTINGS_H
#define SETTINGS_H

#include "tabshortcuts.h"
#include "tabinterface.h"
#include "tabthumbnail.h"
#include "tablang.h"
#include "tabexif.h"

// This is very simple class, simply combining all the settings tabs in a tabwidget
class Settings : public QDialog {

	Q_OBJECT

public:
	Settings(QWidget *parent = 0);
	~Settings();

	// The tabs
	Shortcuts *shortcuts;
	Interface *interface;
	Thumbnail *thumbnail;
	Lang *lang;
	TabExif *exif;

	// The tab widget
	QTabWidget *tabs;

	// The current version of Photo (set from mainwindow.cpp)
	QString version;

public slots:
	// Load all settings
	void loadSettings();

	// Save all settings
	void saveSettings();

protected:
	void closeEvent(QCloseEvent *);

signals:
	void settingsSaved();

};


#endif // SETTINGS_H
