#include "tablang.h"

// Tab for changing language
Lang::Lang(QWidget *parent) : QWidget(parent) {

	// All the languages available
	QStringList langDesc;
	QStringList langShort;

	langDesc << "English";
	langShort << "en";

	langDesc << "Deutsch";
	langShort << "de";

	langDesc << QString::fromUtf8("Čeština (Tomáš Bartl)");
	langShort << "cz";

	langDesc << QString::fromUtf8("Ελληνικά (Dimitrios Glentadakis)");
	langShort << "el";

	langDesc << "Polski (Daniel Korbel)";
	langShort << "pl";

	langDesc << QString::fromUtf8("Español (Manuel E. Gutierrez)");
	langShort << "es";

	langDesc << "Italiano (Vincenzo Cerminara)";
	langShort << "it";

	langDesc << QString::fromUtf8("српски екавски (Mladen Pejaković)");
	langShort << "sr_RS";

	// The main layout and scroll area
	QVBoxLayout *centralLay = new QVBoxLayout;
	QScrollArea *centralScroll = new QScrollArea;
	QVBoxLayout *central = new QVBoxLayout(centralScroll);
	QWidget *centralScrollWidget = new QWidget(centralScroll->widget());
	centralScrollWidget->setSizePolicy(QSizePolicy::Preferred,QSizePolicy::Expanding);
	centralScrollWidget->setLayout(central);
	centralScroll->setWidget(centralScrollWidget);
	centralScrollWidget->show();
	centralScroll->setWidgetResizable(true);
	centralScroll->setVerticalScrollBarPolicy(Qt::ScrollBarAsNeeded);
	centralLay->addWidget(centralScroll);
	this->setLayout(centralLay);

	// A label explaining about this tab
	QLabel *txt = new QLabel("<center><h1>" + tr("Language") + "</h1></center>" + tr("Here you can change the language of photo. There are already some languages available. If you're missing your language, why not making a translation for it? So if you want to help, send me an email (photoQt@ymail.com) or leave a comment on the qt-apps.org project page.") + "<br><br>" + tr("<b>Note:</b> A change requires a restart of Photo!"));
	txt->setWordWrap(true);

	central->addSpacing(10);
	central->addWidget(txt);
	central->addSpacing(25);

	// The languages are presented in a listwidget
	language = new QListWidget(this);

	for(int i = 0; i < langDesc.length(); ++i) {
		language->addItem(langDesc.at(i));
		language->item(i)->setData(Qt::UserRole+1,langShort.at(i));
	}

	language->setFixedWidth(300);
	language->setSelectionBehavior(QListWidget::SelectRows);
	language->setSelectionMode(QListWidget::SingleSelection);

	language->setStyleSheet("background: transparent; border: none;");


	// The listwidget is shown centered
	QHBoxLayout *langLay = new QHBoxLayout;
	langLay->addStretch();
	langLay->addWidget(language);
	langLay->addStretch();

	central->addLayout(langLay);

}



Lang::~Lang() { }
