#ifndef TABTHUMBNAIL_H
#define TABTHUMBNAIL_H

#include <QWidget>
#include <QVBoxLayout>
#include <QScrollArea>
#include <QLabel>
#include <QCheckBox>
#include <QSpinBox>
#include <QSlider>
#include <QRadioButton>
#include <QButtonGroup>
#include <QPushButton>
#include <QMessageBox>
#include <QtSql>

// A tab for thumbnail settings
class Thumbnail : public QWidget {

	Q_OBJECT

public:
	Thumbnail(QWidget *parent = 0);
	~Thumbnail();

	QSqlDatabase db;

	// Thumbnail
	QSlider *thumbSizeSlider;
	QSpinBox *thumbSizeSpin;
	QCheckBox *thumbCache;

	QRadioButton *cacheFile;
	QRadioButton *cacheDatabase;
	QPushButton *emptyDatabase;
	QPushButton *cleanDatabase;

	QLabel *dbInfo;

	QRadioButton *thbPosTop;
	QRadioButton *thbPosBot;

public slots:
	void doCleanDatabase();
	void doClearDatabase();

	void setDatabaseInfo();

};

#endif // TABTHUMBNAIL_H
